
Redmine - Defect #6907

custom fields for spent time not displayed in Spent Time

2010-11-16 06:17 - Jamie Gruener

Status: Closed Start date: 2010-11-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Using v1.0.0 (devel release), upgraded from Turnkey Linux v9.x release.

Custom fields for spent time entries are only displayed when viewing a single entry. Custom fields for other issues can be added to

issue lists but custom fields for spent time are hidden except when editing the issue.

Custom fields should be available to the Details tab of Spent Time page ("time_entries") and to the My Page block named timelog.

Users should be able to customize which fields display and which do not display similar to how users can make those choices for

Issues.

This will be helpful for users that require additional fields in time entries such as a start and stop time, or other fields required for

accounting purposes.

Because the values of the custom fields are not displayed, users must either export the time entries to CSV or be a manager so that

they can edit the time entry to view the values.

Related issues:

Is duplicate of Redmine - Feature #6797: custom fields missing in time detail Closed 2010-11-02

History

#1 - 2010-11-16 21:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #6797.

#2 - 2010-11-17 04:21 - Mischa The Evil

Jean-Philippe Lang wrote:

Same as #6797.

 Which itself is a duplicate of (much older ;) issue #1766...
